Overview
 Top Next
ABCconcept - ABC Chinese Learning Tools software has been designed and developed to help users to learn how to pronounce and write Chinese characters .

The full version of the software [comparing with the demo version] requires a successful online activation to fully function.

You are only allowed to activate your copy of the full version at most 6 times on the same computer. After you activate your copy of the full version on one computer, you cannot activate it on another computer even you uninstall it from the former.

We strongly suggest you backup all the data files after a successful activation .

Here are the highlights what it can do:

1. Pronounces most of Traditional / Simplified Chinese characters using Mandarin ( Pinyin ) and Cantonese ( Jyutping );

2. Writes most of Traditional / Simplified Chinese characters stroke-by- stroke in MingLiu & PMingLiu font ;

3. Looks for a Chinese character by a Pinyin ;

4. Looks for a Chinese character by a Jyutping ;

5. Looks for a Chinese character by a Radical ;

6. Looks for a Chinese character by a Stroke number ;

7. Searches Chinese-English dictionary ;

8. Searches English-Chinese dictionary ;

9. Searches a Chinese character by a Unicode ;

10. Provides embedded lessons for concepts and information of Chinese language

Here has more information about the user interface .

Tips: For more information about concepts of Chinese language , see the embedded lessons .


System Requirements
 Previous Top Next
1. Microsoft® Windows 2000, Windows XP, Windows Vista
2. 128MB of RAM
3. At least 80MB of available hard-disk space
4. Microsoft® Internet Explorer 5.5 or higher
5. Internet Connection (to activate the product and get new updates)


Installation
1. Download the setup package using your download account;
2. Run the downloaded software;
3. Following the instructions to install the software;
4. Get your registration number emailed to you;
5. After the installation, you need to choose fonts and activate the product online.


Choose Fonts
You can choose your favorite fonts in the "Choose Fonts" dialog, the fonts are only used for the main User Interface . The font used for Animated Chinese Characters (see the image below) is always MingLiu & PMingLiu .

The "Default" checkboxes available for English Font and Jyutping Font mean "using system default font", you can still change the sizes even you choose to use the default font.

See the User Interface section to find out how to open the dialog.


Activation
Activation is a simple process you must complete after you install the product. It helps prevent casual copying of the product onto more computers than the license agreement allows. After you activate this product on one computer, you cannot activate it on another computer even you have uninstalled it from the former computer.

To activate the product:

1. Click Help menu bar and then choose License:

2. Click the Activate link to open the activation page, click License link to read the license :

3. Type in or copy and paste your email address, your registration number (should be emailed to you by your request), security code and then submit: Your email address is collected for the purpose of providing Technical Support and important information of this product . See our Privacy Policy for more information.


Privacy Policy
Your email address is required when you activate the product. The email address will be used to provide you Technical Support or important information about the product.

We may disclose your email address if required to do so by law or in the good faith belief that such action is necessary to (a) conform to the edicts of the law or comply with legal process served on ABCconcept Inc. or the product; (b) protect and defend the rights or property of ABCconcept Inc.

When the software is running on your computer, it may occasionally connect to www.ABCconcept.com with its own version information to check if there are new updates of the product available. This process will not send any other information/data on your computer.

Version information of the software may also be sent when you click on an item on the user interface of the software to open a technical support page.


Backup
We suggest you back up all the files under THE_PRODUCT_FOLDER\data\ folder. THE_PRODUCT_FOLDER is where you have the software installed.


Uninstallation
1. Open Windows "Control Panel";
2. Click to open "Add or Remove Programs";
3. Search for "ABC Chinese Learning Tools" and highlight it;
4. Click "Remove" button;
5. Follow any prompts that appear.


Technical Support
ABCconcept Inc. provides only limited Email-based or web-based technical support. Please go to the company's website http://www.ABCconcept.com/ , or click one of the Technical Support items on the user interface .

Version information of this software may also be sent when you click on an item on the user interface (see above screenshot) to open a technical support page. See Privacy Policy for more information.


Acknowledgements
This software has used code and/or data of the following projects, we herein give them our special thanks:

Freetype2 (Freetype Project)
bzip2/libbzip2 (bzip2/libbzip2 Project)
Unihan Database (Unicode Character Database)

Our special thanks to HelpMaker (http://www.vizacc.com/) and Inno Setup (http://www.instep.com) too, we have used HelpMaker to document this product and have used Inno Setup to create install package of this software.


Copyright
Copyright

ABCconcept - ABC Chinese Learning Tools
Copyright © 2005-2007 by ABCconcept Inc.
All rights reserved.


License and Warranty Agreement
License and Warranty Agreement

1. License

Your Agreement to this License

You should carefully read the following terms and conditions before installing and using this software. Unless you have a different license agreement signed by ABCconcept Inc. ("ABCconcept"), your installation, use of this copy of ABCconcept - ABC Chinese Learning Tools ("SOFTWARE") indicates your acceptance of this License. The SOFTWARE also includes any updates and supplements to the original SOFTWARE provided to you by ABCconcept.

If you do not agree to all of the terms of this License, then do not install, distribute or use this copy of the SOFTWARE. In addition, if you paid ABCconcept or an authorized ABCconcept distributor for this copy individually, you may return it unused, within thirty (30) days after purchase, for a refund of your payment with the cost of shipping and/or processing deducted, if any.

Scope of License

This copy of the SOFTWARE may only be installed, activated and used on one computer.

The SOFTWARE will not fully function without a successful online activation. After you activate it on one computer, you cannot install/activate it on another computer even you have uninstalled it from the computer on which you activated it. If you have to activate the SOFTWARE on a different computer, you need to contact the Technical Support of the SOFTWARE, additional fees may apply.

You are allowed to activate your copy of the SOFTWARE at most 6 times, only on the same computer, in case that you have to re-install the SOFTWARE by any reason, re-installation of Microsoft Windows System, for example.

You may access this copy through a network, provided that only one user is accessing it at a time, locally or remotely.

You may not alter, merge, modify, translate, decompile, disassemble or reverse engineer the SOFTWARE, nor give anyone permission to do so.

You may not create derivative works based upon the SOFTWARE, nor give anyone permission to do so.

You may not distribute copies of materials, data shipped with the SOFTWARE, nor give anyone permission to do so.

You may not make access to the SOFTWARE or materials shipped with the SOFTWARE available to others in connection with a service bureau, application service provider, or similar business.

In the event that you fail to comply with this Agreement, ABCconcept or its suppliers may, in addition to seeking any damages, terminate the license. Upon termination, you must completely destroy all copies of the SOFTWARE (with all other rights of both parties and all other provisions of this Agreement surviving any such termination).

Ownership

The foregoing license gives you limited license to use the the SOFTWARE. ABCconcept or its suppliers retain all right, title and interest, including all copyright and intellectual property rights, in and to, the the SOFTWARE, and all copies thereof. The software is protected by copyright laws and international copyright treaties. All rights not expressly granted in this Agreement, are reserved by ABCconcept or its suppliers.

2. Warranty Disclaimers and Liability Limitations

This software, and all accompanying files, data and materials, are distributed “AS IS” and with no warranties of any kind, whether express or implied. ABCconcept does not guarantee the completeness, correctness or accuracy of the contents, data and materials provided by the the SOFTWARE. ABCconcept does not guarantee the SOFTWARE is error-free or will operate without interruption. The user must assume the entire risk of using the SOFTWARE. This disclaimer of warranty constitutes an essential part of this Agreement.

If applicable law requires any warranties with respect to the SOFTWARE, all such warranties are limited in duration to ninety (90) days from the date of delivery.

Any liability of ABCconcept will be limited exclusively to refund of purchase price. In addition, in no event shall ABCconcept, or its principals, shareholders, officers, employees, affiliates, contractors, subsidiaries, or parent organizations, be liable for any incidental, consequential, or punitive damages whatsoever relating to the use of the SOFTWARE, or to your relationship with ABCconcept.

In no event does ABCconcept authorize you to use the SOFTWARE in applications or systems where the SOFTWARE's failure to perform can reasonably be expected to result in a significant physical injury, or in loss of life. Any such use by you is entirely at your own risk, and you agree to hold ABCconcept harmless from any claims or losses relating to such unauthorized use.

3. General

This Agreement is the complete statement of the Agreement between the parties on the subject matter, and merges and supersedes all other or prior understandings, purchase orders, agreements and arrangements. There are no third party beneficiaries of any promises, obligations or representations made by ABCconcept herein.

All questions concerning this Agreement shall be directed to ABCconcept.

This Agreement does not authorize you to use the trademarks of ABCconcept or its suppliers.


Overview

Chinese Language - Overview
Chinese Language, with at least 6,000 years of history, can be refer to Spoken Chinese Language (a tonal language) or Written Chinese Language (a pictographic language).

Variants of Spoken Chinese ( dialects ) can be different enough to be mutually incomprehensible. However, dialects of Chinese always share a common written form with occasional dialect-specific characters, such as in Cantonese .

(Standard) Mandarin is the standard dialect of Spoken Chinese .

The Written Chinese, a pictographic language system with a more than 4,000 years history, currently has two writing systems: Simplified Chinese and Traditional Chinese .

To learn Chinese Language, you need to learn how to pronounce/read Chinese and write Chinese . There are many tools/methods that can help you to learn Chinese Language, for example, Pinyin is a romanization can help you to learn Mandarin and Jyutping is a romanization can help you to learn Cantonese , while Strokes and Radicals can help you to learn Chinese characters .

Tips: For more information about concepts of Chinese Language, see the embedded lessons .


Chinese Characters
Chinese characters are logograms used in the written forms of the Chinese language , and partly used in the Japanese and (South) Korean languages. The use of Chinese characters has disappeared from the Vietnamese language, in which they were used until the 20th century, and from North Korea, where in normal writings they have been completely replaced by Hangul.

Contrary to popular belief, only a small number of Chinese characters are pictographic. Most characters were created based on other characters that were/are homonyms.

In Chinese, a word or phrase is composed of one or more characters. Each Chinese character is read as a single syllabic unit in all spoken variants of Chinese still existing today.

In the twentieth century, thousands of simplified characters were created or adopted in mainland China. Now written Chinese has two systems: Simplified Chinese Characters, which are mainly used in mainland China, Singapore and Malaysia; and Traditional Chinese Characters, which are mainly used in Taiwan, Hong Kong and Macau. Both Simplified Chinese Characters and Traditional Chinese Characters are used in oversea Chinese communities, depending on the origins of the Chinese groups.

Just as Roman letters have a characteristic shape (lower-case letters occupying a roundish area, with ascenders or descenders on some letters), Chinese characters tend to occupy a more-or-less square area. Chinese Characters maintain a uniform size and shape by squashing multiple parts ( Strokes / Radicals ) together. Because of this, beginners often practise writing Chinese Characters on square-gridded exercise paper, and the Chinese sometimes call the Chinese Characters "square characters".

The precise number of characters in existence is disputed. Estimates range from 40,000 to 80,000, but fluency in Chinese requires knowledge of approximately 3000-5000 characters.

Tips: For more information about concepts of Chinese Characters, see the embedded lessons .


Strokes
All Chinese characters are built up by basic strokes. The simplest ones have only one stroke while the most complex ones can have more than 60 strokes. The number of strokes per character for most characters is between 3 and 30. There are only about 30 basic strokes.

When you write a Chinese character stroke-by-stroke, a stroke is a continuous draw without lifting your pen/pencil.

Usually strokes are meaningless, and they are only basic parts of radicals and then characters .

It is very important to understand and follow the rules of stroke orders when you write Chinese Characters . Incorrectly ordered or written strokes can produce a visually unappealing or, occasionally, incorrect characters .

Tips: For more information about Strokes, see the embedded lessons .


Radicals
All Chinese characters have a radical or are a radial in itself. There are about 214 radicals and some of them are under debate to be removed.

A radical (from Latin radix, means "root") is a basic identifiable component of every Chinese character . A radical is usually meaningful and contains one or more than one strokes .

Radicals are used in Chinese dictionaries, Kanji-Japanese dictionaries, and Hanja-Korean dictionaries to order characters in sets by the number of strokes they contain. Characters are ordered according to their initial radicals, then these are subcategorised by their total number of strokes .

The huge number of Chinese characters can be much more easily memorized if they are grouped or decomposed into their constituent radicals.

Tips: For more information about Radicals, see the embedded lessons .


Dialects and pronunciation
There are hundreds of Chinese dialects in modern Spoken Chinese Language, that can be classified into the following 11 main dialect groups:

Mandarin , Cantonese , Hakka, Gan, Jin, Huainan, Minbei, Minnan, Pinghua, Xiang and Wu.

All the dialects of the modern Spoken Chinese Language share a common writing system that contains two subsystems: Simplified Chinese and Traditional Chinese .

Different dialect groups may have different romanization systems, like Pinyin for Mandarin and Jyutping for Cantonese .


Pinyin
Pinyin (Chinese Pinyin / Hanyu Pinyin) is the most widely used Mandarin romanization system using in China, Singapore, and many other countries and areas. The Library of Congress uses Pinyin to catalog its collection in Chinese , most contemporary dictionaries use Pinyin to spell Chinese names, etc.

Pinyin is also the most efficient and easiest tool for both Mandarin speakers or non- Mandarin speakers to learn Chinese ( Mandarin ).

Tips: For more information about Pinyin, see the embedded lessons .


Jyutping
Jyutping (Jyut6 ping1) is the most widely used Cantonese romanization system using in Hong Kong and other Cantonese communities.

Jyutping is the most efficient and easiest tool for both Cantonese speakers or non- Cantonese speakers to learn to speak Cantonese - a dialect of Spoken Chinese .


Overview

Search - Overview
ABCconcept - ABC Chinese Learning Tools provides a friendly user interface to search a Chinese Character and get its pronunciations ( Pinyins and Jyutpings ), number of Strokes , Radicals , animated writings stroke- by-stroke , Simplified/Traditional correspondences , Unicode, and English meanings by:

1. the character itself or corresponding Simplified/Traditional characters ;
2. the number of strokes ;
3. the radicals ;
4. the corresponding English words/phrases ;
5. the Pinyins ;
6. the Jyutpings ; and
7. the Unicode

The following screenshot is the search result of 中 (zhōng). You can click on a speaker [image] to hear the pronunciation of a Pinyin or Jyutping , and you can click on a pen [image] to watch animated writing of a character stroke-by-stroke .


Search by a Chinese character
You can type in a Chinese character or word/phrase in the Edit Box of the search bar

and then press the search button [image] to get search results.

The following two screenshots are the search results of Chinese character 中 (zhōng) and Chinese word/phrase 中文 (zhōng wén):


Search by an English
You can type in an English word/phrase in the Edit Box of the search bar

and then press the search button [image] to get search results.

The following screenshot is the search results of English word "Chinese":


Search by a Unicode
You can type in a Unicode in the Edit Box of the search bar

and then press the search button [image] to get search results.

The following screenshot is the search results of the Unicode 4E2D (中):


Search by a Pinyin
You cannot type in a pinyin in the Edit Box of the search bar

to perform a search, even you type in the square brackets ([ ]) as well. You have to go through the Pinyin list to search by a pinyin :


Search by a Jyutping
You cannot type in a jyutping in the Edit Box of the search bar

to perform a search, even you type in the square brackets ([ ]) as well. You have to go through the Jyutping list to search by a jyutping :


Search by a Radical
You cannot type in a radical in the Edit Box of the search bar

to perform a search, even you type in the square brackets ([ ]) as well. You have to go through the Radical list to search by a radical :


Search by a Stroke

Search by a Stroke number
You cannot type in a stroke number in the Edit Box of the search bar

to perform a search, even you type in the square brackets ([ ]) as well. You have to go through the Stroke number list to search by a stroke number:


Search History
ABCconcept - ABC Chinese Learning Tools saves your search history for you. You can click on an item on the history list to perform a search you did before. The software saves up to 100 items on the history list. An item with a pair of square brackets ([ ]) is a pinyin / jyutping / radical / stroke number.


Overview

Lessons - Overview
ABCconcept - ABC Chinese Learning Tools is shipped with two kinds of lessons: ABC Format lessons and HTML Format lessons .

ABCconcept Inc. reserves all rights of the lessons shipped with this software or its updates (See Copyright and License ). You may not distribute copies of the lessons shipped with this software or its updates.


ABC Format lessons
ABC Format lessons have a format that is only readable with this software, and you need this software to create / edit / view the lessons. You can also use this software to import / export / delete ABC Format lessons.


HTML Format lessons
HTML Format lessons share HTML format that you can browse / edit without running this software. However, you need this software to import / export / delete HTML Format lessons.


Create a lesson
You can create an HTML lesson with a text editor or an HTML editor. After you finish editing the HTML lesson , you can import it to this software. However, you have to use this software to create an ABC Format lesson :

Click Tools menu bar >
click Lesson Editor menu item >
type in the titles in different formats >
click Add or Insert button to add new sections >
click Save button to save it >


Import a lesson
1. To import an ABC Format lesson :

1.1 To import an existing lesson:
Click Tools menu bar >
click Lesson Editor menu item >
click Open button >
Locate the lesson to be imported and open it >
click Import button

1.2 To create a new lesson and import it:
Click Tools menu bar >
click Lesson Editor menu item >
create and edit a new lesson >
click Save button to save the new lesson >
click Import button

2. To import an HTML Format lesson :

Click Tools menu bar (see above picture) >
click Lesson Editor menu item >
click HTML radio button >
click Browse buttons to locate HTML Index File/Root Folder >
type in the titles in different formats >
click Import button


Export a lesson
1. To export an ABC Format lesson :

Click a lesson listed under Lessons > ABC Format to open it >
click Export button to export it

2. To export an HTML Format lesson :

Click Tools menu bar >
click Lesson Editor menu item >
click HTML radio button >
select an HTML lesson from HTML Lessons dropdown list >
click Export button to export it


Delete a lesson
1. To delete an ABC Format lesson :

Click a lesson listed under Lessons > ABC Format to open it >
click Delete button to delete it

2. To delete an HTML Format lesson :

Click Tools menu bar >
click Lesson Editor menu item >
click HTML radio button >
select an HTML lesson from HTML Lessons dropdown list >
click Delete button to delete it


The User Interface
ABCconcept - ABC Chinese Learning Tools can display the main user interface in English, pīn yīn ( Pinyin ), jyut6 ping1 ( Jyutping ), 简体 ( Simplified Chinese ) or 繁體 ( Traditional Chinese ). You can switch the display mode by using checkboxes in the top-right corner or Options menu bar. To change Fonts using in this interface, open " Choose Fonts " dialog by Options > Fonts.

The maple leaf happy face icon [image] can be set to static or animated by using the Options menu bar.

If there are new updates available, three animated maple leaves will show up beside the search button [image] to remind you. You can then click on the area to get the new updates .

For more information about the user interface, see Search and Lessons .


Get New Updates
If the software is running on your computer, it will check for new updates of the product occasionally by connecting to www.ABCconcept.com with its own version information (Note: This process will send only the version information of the product on your computer, see our Privacy Policy ).

After the software finds out that there are new updates available for downloading, it will display three animated maple leaves and "New Updates Available" text beside the search button on the user interface .

You can simply click on the maple leaves or "New Update Available" to go to download and install the new updates.


The Converter
 Previous Top
The converter is a useful tool to generate HTML code.

Click Tools > Converter to open it.


ABCconcept Chinese Learning Tools

Cantonese is one of the major dialect languages of Chinese language. It is mainly spoken in the south-eastern part of Mainland China, Hong Kong, Macau, by the Chinese minorities in Southeast Asia and many oversea Chinese communities of Cantonese origin worldwide. Its name was derived from Canton, the English name for Guangzhou, the capital city of Guangdong Province.

Cantonese is a tonal language.


.topic 150
MingLiu & PMingLiu Font is a TrueType Chinese font library contains both Traditional and Simplified Chinese characters.

The demo version of ABCconcept ABC Chinese Learning Tools does not contain the font file - MingLiu.ttc, but the full version does.

.topic 210
Mandarin is the standard dialect language of Chinese language. It is the official Spoken Chinese Language in Mainland China, Taiwan, Singapore, Malaysia, Hong Kong and many oversea Chinese communities.

Mandarin is a tonal language.

.topic 220
Cantonese is one of the major dialect languages of Chinese language. It is mainly spoken in the south-eastern part of Mainland China, Hong Kong, Macau, by the Chinese minorities in Southeast Asia and many oversea Chinese communities of Cantonese origin worldwide. Its name was derived from Canton, the English name for Guangzhou, the capital city of Guangdong Province.

Cantonese is a tonal language.

.topic 230
In linguistics, romanization is a system for representing characters, words of a language with the Roman (Latin) alphabet, where the original characters, words of the language used a different writing system. Every romanization has its own set of rules for pronunciation of the romanized characters, words.
In linguistics, romanization is a system for representing characters, words of a language with the Roman (Latin) alphabet, where the original characters, words of the language used a different writing system. Every romanization has its own set of rules for pronunciation of the romanized characters, words.


ABCconcept Chinese Learning Tools

Mandarin is the standard dialect language of Chinese language. It is the official Spoken Chinese Language in Mainland China, Taiwan, Singapore, Malaysia, Hong Kong and many oversea Chinese communities.

Mandarin is a tonal language.


ABCconcept Chinese Learning Tools

MingLiu & PMingLiu Font is a TrueType Chinese font library contains both Traditional and Simplified Chinese characters.

The demo version of ABCconcept ABC Chinese Learning Tools does not contain the font file - MingLiu.ttc, but the full version does.


ABCconcept Chinese Learning Tools

In linguistics, romanization is a system for representing characters, words of a language with the Roman (Latin) alphabet, where the original characters, words of the language used a different writing system. Every romanization has its own set of rules for pronunciation of the romanized characters, words.